;+
; NAME:
; F_1POW_NODRM_DEFAULTS
;
; PURPOSE: Function to return default values for
;   parameters, minimum and maximum range, free parameter mask,
;   spectrum and model to use, and all spectrum and model options when
;   fitting to f_1pow_nodrm function. 
;   Just calls the normal version, f_1pow_defaults
;   since the defaults are the same.
;
; CALLING SEQUENCE: defaults = f_1pow_nodrm_defaults()
;
; INPUTS:
; None
; OUTPUTS:
; Structure containing default values
;
; MODIFICATION HISTORY:
; Kim Tolbert, 11-Apr-2014.  
;
;-
;------------------------------------------------------------------------------

FUNCTION F_1POW_NODRM_DEFAULTS

return, f_1pow_defaults()

END
