; Apply the efficiency factors to convert from count space to photon space.
; Divide data by drm_eff and change units string to photons... from counts...

pro spex_apply_eff, data, drm_eff, units_str=units_str

data = f_div(data, rebin(drm_eff, size(data,/dim)))
;data = f_div(data, drm_eff)

if keyword_set(units_str) then $
	units_str.data = str_replace ( units_str.data, 'counts', 'photons')
end