;+
; Name: spex_fitint_info__define
;
; Purpose: Defines info structure for spex_fitint object
;
; Category: OSPEX
;
; Modifications:
;	15-Jul-2004, Kim.  Added spex_fitint_filter
;	5-Oct-2004, Kim.  Added spex_fit_time_used
;-


pro spex_fitint_info__define

struct = {spex_fitint_info, $
	spex_fit_time_used: ptr_new(), $	; fit time intervals used (adjusted to data)
	spex_interval_index: 0, $	; Index of current fit interval
	spex_fitint_filter: ptr_new(), $	; Data filter for each fit interval
	;spex_index_erange: ptr_new(), $
	spex_fitint_origunits: {spex_units}, $ ; Structure with original units for fit interval data
	spex_fitint_units: {spex_units} $ ; Structure with units of last accumulation for fit interval data
	}
end