;+
; Name: spex_image_info__define
;
; Purpose:  Define info structure for spex_image
;
; Kim Tolbert Aug 2005
; Modifications:
; 03-Oct-2017, Kim. Added spex_image_spectrum_source
;
;-

pro spex_image_info__define

struct = {spex_image_info, $
          spex_roi_outfile: '', $
          spex_roi_size: 0, $
          spex_roi_color: 0, $
          spex_roi_expand: 0, $
          spex_image_spectrum_source: '', $  ; if '', then from ROIs otherwise could be from image alg params
          inherits spex_data_strategy_info }

end