;+
; NAME:   
;      SPEX_STARTUP
; PURPOSE:
;      setup path and start spex as a subroutine
;      important variables available in common block
;      Runs spex through command line mode.
; CATEGORY:
;      SPEX utility
; CALLING SEQUENCE:
;	@[richard.spex.new]spex_startup
; INPUTS:
;      none
; OUTPUTS:
;      none
; RESTRICTIONS:
;	must be run in the interactive mode, or spex_commons won't be
;	found until [richard.spex.new] is included in the path 
;     
; PROCEDURE:
;
; MODIFICATION HISTORY:
;      ras, 20-aug-94
;-

;reorder path
remove_path, 'spex', old=old
remove_path, 'batse'
!path= 	 'user_disk0:[richard.spex.new],user_disk0:[sdac.spex],user_disk0:[sdac.cgro.batse],'+!path ;

print, f_use_widget(/nouse), 'Most Widgets are disabled!'

@user_disk0:[richard.spex.new]spex_commons
spex_proc
end

