;+
; NAME:
;	F_LINE_ASYM_NODRM_DEFAULTS
;
; PURPOSE: Function to return default values for
;   parameters, minimum and maximum range, and free parameter mask when
;   fitting to f_line_asym_nodrm function.
;   Just calls the normal version, f_line_asym_defaults
;   since the defaults are the same.
;
; CALLING SEQUENCE: defaults = f_line_asym_nodrm_defaults()
;
; INPUTS:
;	None
; OUTPUTS:
;	Structure containing default values
;
; MODIFICATION HISTORY:
; Kim Tolbert, 11-Apr-2014
;
;-
;------------------------------------------------------------------------------

FUNCTION F_LINE_ASYM_NODRM_DEFAULTS

return, f_line_asym_defaults()

END
