;+
; Name: fit_function_defaults
; Purpose: return a structure with the default values for a specified fit function (which
;  can contain multiple fit components (e.g. 'vth+bpow')
;
; Kim, 4-Oct-2003
; 10-May-2010, Kim.  Added _extra to calling args, and make it set _extra first. 
;  (added for setting fit_obj for getting defaults from data, but that's not needed anymore)
;-

function fit_function_defaults, fit_function, _extra=_extra

dummy = obj_new('fit_function', _extra=_extra)
dummy -> set, fit_function=fit_function
struct = dummy -> get(/fit_comp)
obj_destroy,dummy

return, struct
end