function read_chanmask, chanmask
;+
; mask = read_chanmask( chanmask )
;
;	chanmask - ascii string in hex format
;
;	return a mask of 1's and 0's corresponding to the hex mask
;	 in chanmask
;
;	for chanmask = '000c'
;
;	mask = read_chanmask( chanmask )
;
;	print,imask
;   	0   0   1   1   0   0   0   0   0   0   0   0   0   0   0   0
;-

bytemask = byte(chanmask)
ns = n_elements(bytemask)
strings_mask = string(reform(bytemask,1,ns))
bytes = bytarr(ns)
reads, strings_mask, bytes, format='(z)'
bits, bytes, bitarr
imask = (bitarr(0:3,ns-1-indgen(ns)))(*)

return, imask
end
